using UnityEngine;

public class Character : MonoBehaviour
{

	#region Animation

	public CharacterState state = CharacterState.Idle;
	public Animator animatorController = null;
	private const string PARAM_STATE = "state";


	public void ChangeState(CharacterState newState)
	{
		state = newState;
		animatorController.SetInteger(PARAM_STATE, (int)state);
	}

	#endregion

}
